generator:
  class:              sfPropel13AdminGenerator
  param:
    model_class:      Category
    theme:            emailpassion

    list:
      peer_method:    doSelectHierarchyLabels
      max_per_page:   20
      title:          Liste des cat&eacute;gories
      filters:        [ _level, _category ]
      display:        [ =title, level, mother_niv2, mother_niv1, _list_image_file_name, _list_header_file_name, nb_articles, created_at ]
      fields:
        title:             { name: Titre }
        level:             { name: Niveau }
        category:          { name: Cat. niv. 1 }
        mother_niv1:       { name: Niv 1 }
        mother_niv2:       { name: Niv 2 }
        list_image_file_name:   { name: Vignette }
        list_header_file_name:  { name: Bandeau }
        level:             { name: Niveau }
        nb_articles:       { name: Articles }
        created_at:        { name: Cr&eacute;ation, params: date_format='dd/MM/yyyy' }
      object_actions:
        _edit:             ~
        _delete:           { params: confirm="Attention! La suppression d'une cat&eacute;gorie entra&icirc;ne la suppression de toutes ses cat&eacute;gories filles. Voulez-vous continuer?" }

    edit:
      title:                   Cat&eacute;gorie %%title%%
      display:          
        "Libell&eacute;":      [ title, body, _edit_clean_html ]
        "Multilingue":         [ _edit_lang_title, _edit_lang_body ]
        "Hi&eacute;rarchie":   [ _edit_mother_niv ]
        "Images":              [ _edit_image_file_name, _edit_header_file_name ]
        "En ligne":            [ _edit_online ]
      fields:         
        title:                   { name: Titre, params: disabled=false }
        body:                    { name: Description, type: textarea_tag, params: disabled=false size=80x10, help: "Cette description appara&icirc;tra dans l'en-t&ecirc;te de la cat&eacute;gorie" }
        edit_lang_title:         { name: Titre }
        edit_lang_body:          { name: Description, help: "Cette description appara&icirc;tra dans l'en-t&ecirc;te de la cat&eacute;gorie" }
        edit_clean_html:         { name: Supprimer HTML, credentials: [superadmin], help: "Suppression des tags HTML sur description" }
        edit_mother_niv:         { name: Niveau }
        edit_image_file_name:    { name: Rubrique }
        edit_header_file_name:   { name: Bandeau }
        edit_position:           { name: Position }
        edit_online:             { name: En ligne, type: radio_tag, help: "Cette cat&eacute;gorie doit-elle appara&icirc;tre sur la boutique publique?" }
      actions:
        _list:                   ~
        _save:                   ~
        _save_and_add:           ~
        _save_and_list:          ~
        _delete:                 { params: confirm="Attention! La suppression d'une cat&eacute;gorie entra&icirc;ne la suppression de toutes ses cat&eacute;gories filles. Voulez-vous continuer?" }
        